<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.predict.mapper.HistorydataPointMapper">

    <resultMap type="HistorydataPoint" id="HistorydataPointResult">
        <result property="nohis" column="nohis"/>
        <result property="statTime1" column="stat_time1"/>
        <result property="statTime2" column="stat_time2"/>
        <result property="statTime3" column="stat_time3"/>
        <result property="statTime4" column="stat_time4"/>
        <result property="statTime5" column="stat_time5"/>
        <result property="statTime6" column="stat_time6"/>
        <result property="data1" column="data1"/>
        <result property="data2" column="data2"/>
        <result property="data3" column="data3"/>
        <result property="data4" column="data4"/>
    </resultMap>

    <sql id="selectHistorydataPointVo">
        select nohis, stat_time1, stat_time2, stat_time3, stat_time4, stat_time5, stat_time6, data1, data2, data3, data4 from historydata_point
    </sql>

    <select id="selectHistorydataPointList" parameterType="HistorydataPoint" resultMap="HistorydataPointResult">
        <include refid="selectHistorydataPointVo"/>
        <where>
            <if test="nohis != null ">and nohis = #{nohis}</if>
            <if test="statTime1 != null ">and stat_time1 = #{statTime1}</if>
            <if test="statTime2 != null ">and stat_time2 = #{statTime2}</if>
            <if test="statTime3 != null ">and stat_time3 = #{statTime3}</if>
            <if test="statTime4 != null ">and stat_time4 = #{statTime4}</if>
            <if test="statTime5 != null ">and stat_time5 = #{statTime5}</if>
            <if test="statTime6 != null ">and stat_time6 = #{statTime6}</if>
            <if test="data1 != null ">and data1 = #{data1}</if>
            <if test="data2 != null ">and data2 = #{data2}</if>
            <if test="data3 != null ">and data3 = #{data3}</if>
            <if test="data4 != null ">and data4 = #{data4}</if>
            <if test="params.beginDataTime != null and params.beginDataTime != '' and params.endDataTime != null and params.endDataTime != ''">
                and stat_time4 between to_date(#{params.beginDataTime},'yyyy-MM-dd HH24:MI:SS') and
                to_date(#{params.endDataTime},'yyyy-MM-dd HH24:MI:SS')
            </if>
        </where>
    </select>

    <select id="selectHistorydataPointById" parameterType="Long" resultMap="HistorydataPointResult">
        <include refid="selectHistorydataPointVo"/>
        where nohis = #{nohis}
    </select>

</mapper>